
#define FALSE 0
#define TRUE 1

/* Projection Modes */
#define SANSONS 1
#define STEREOGR 2
#define GNOMONIC 3
#define ORTHOGR 4
#define RECTANGULAR 5
#define OTHERPROJ 6

/* The variables in the first few lines MUST be set by driver */
typedef struct {
  int width, height, x_offset, y_offset; /* Size and position,
                                            in integer device coords */

/* The next several variables may be set by the driver, but the main routines
   may reset them (and the driver routines may then override that) */
  int proj_mode;                    /* Projection mode for this map */

  int invert;                       /* Invert (flip north south) */

/* The following are set by the main routines */
  double racen, dlcen, scale;       /* R.A. and decl. of center,
                                       scale in degrees */
  double c_scale;                   /* One second of arc
                                       in display units */
} mapwindow;

extern mapwindow skywin, telwin;		// Sky and Telescope map windows
extern mapwindow *mapwin[2];			// Window list
extern int numwins;						// Number of windows

extern int DLL initxform(mapwindow FAR *win);
extern void DLL xform(double lat, double lon, int FAR *xloc, int FAR *yloc, int FAR *inregion);
extern int DLL clipr_xform(double lat1, double lon1, double lat2, double lon2,
				int FAR *xloc1, int FAR *yloc1, int FAR *xloc2, int FAR *yloc2, int great_circle,
				double FAR *plat1, double FAR *plon1, double FAR *plat2, double FAR *plon2);
extern void DLL drawcurveline(double  lat1, double lon1, double lat2, double lon2,
				   int xloc1, int yloc1, int xloc2, int yloc2,
				   int line_style, int great_circle, int clevel, HDC hDC);

